{ "output": [ { "type": "web_search.results, chat_node.answer", "text": "Here are today's top AI research headlines...", "content": "Summarize today's top AI research headlines and cite sources.", "agent": "550e8400-e29b-41d4-a716-446655440000" } ]}
Agent
Custom Agent (Beta)
POST
/
v1
/
agents
/
runs
Run a Custom Agent
curl --request POST \ --url https://api.you.com/v1/agents/runs \ --header 'Authorization: <api-key>' \ --header 'Content-Type: application/json' \ --data @- <<EOF{ "agent": "550e8400-e29b-41d4-a716-446655440000", "input": "Summarize today's top AI research headlines and cite sources.", "stream": false}EOF
import requests
url = "https://api.you.com/v1/agents/runs"
payload = {
"agent": "550e8400-e29b-41d4-a716-446655440000",
"input": "Summarize today's top AI research headlines and cite sources.",
"stream": False
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)
const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
agent: '550e8400-e29b-41d4-a716-446655440000',
input: 'Summarize today\'s top AI research headlines and cite sources.',
stream: false
})
};
fetch('https://api.you.com/v1/agents/runs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{ "output": [ { "type": "web_search.results, chat_node.answer", "text": "Here are today's top AI research headlines...", "content": "Summarize today's top AI research headlines and cite sources.", "agent": "550e8400-e29b-41d4-a716-446655440000" } ]}
WARNING: Access to this endpoint requires a paid subscription plan.
This endpoint lets you run an assistant you can configure in the UI.
Users can create a custom AI agent by providing a description of the desired functionality using natural language. The system supports both conversational inputs and advanced prompting techniques to define the agent’s behavior. Before using it, create a custom agent and retrieve its ID.
To maintain enterprise security, enable Zero Data Retention on your enterprise account. Manage this setting at you.com/settings/privacy. When enabled, the platform does not retain your data and does not use customer data for model training.
WARNING: Privacy settings can only be managed by You.com Enterprise or team admins.
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"You.com API","colors":{"primary":"#596CED","light":"#decef4","dark":"#596CED"},"logo":{"light":"https://mintcdn.com/you/gx9H8EPolrUtPSge/logo/light.svg?fit=max\u0026auto=format\u0026n=gx9H8EPolrUtPSge\u0026q=85\u0026s=e137388d4ab9a92522ac345398106fd6","dark":"https://mintcdn.com/you/gx9H8EPolrUtPSge/logo/dark.svg?fit=max\u0026auto=format\u0026n=gx9H8EPolrUtPSge\u0026q=85\u0026s=85ee41f940bc8d99aad0168c2d148d30"},"favicon":"/favicon.png","api":{"openapi":["openapi.yaml","openapi_chat.yaml"]},"background":{"decoration":"gradient","color":{"dark":"#090014"}},"navbar":{"links":[{"label":"Discord","href":"https://discord.com/invite/youdotcom"}],"primary":{"type":"button","label":"Get an API Key","href":"https://you.com/platform"}},"footer":{"socials":{"twitter":"https://twitter.com/youdotcom","linkedin":"https://www.linkedin.com/company/youdotcom"}},"icons":{"library":"lucide"},"styling":{},"integrations":{"ga4":{"measurementId":"G-D65GMT6MQN"}},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"you","hasAudioNarration":false,"actualSubdomain":"you","customDomains":["old-docs.you.com"],"gitSource":{"type":"github","owner":"su-sea","repo":"docs-example","deployBranch":"main","contentDirectory":"","isPrivate":false,"mountPath":"","label":""},"chroma":{"liveDeploymentHistoryId":"6a21c926539692d19e12cd4d","collectionId":"f58c71bd-37ef-4564-984d-fe4050e9be9a","schemaVersion":"v2"},"entitlements":{},"buildId":"6a21c926539692d19e12cd4d:success","clientVersion":"0.0.4006","searchFilterCounts":[{"language":"default","tag":"API Reference","count":20},{"language":"default","tag":"Developer Resources","count":9},{"language":"default","tag":"Tutorials","count":8},{"language":"default","tag":"Get Started","count":4},{"language":"default","tag":"Tools","count":4},{"language":"default","tag":"Agent","count":3},{"language":"default","tag":"Custom Agent","count":3},{"language":"default","tag":"Other Tools","count":3},{"language":"default","tag":"Advanced Agent","count":2},{"language":"default","tag":"Search","count":2}]},"assistantConfig":{},"basePath":"","hasChatPermissions":false,"hasWebMcpPermissions":false,"toggles":[{"name":"kill-isr","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-mintlify-slack","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-v7-file-tree","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-integrations-settings","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-pr-grouping","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-prefix","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"analytics-v7","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"user-flows-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"no-publish-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-onboarding","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"llms-txt-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"pause-universal-search-reconcile","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving-live","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"stripTemperatureMiddleware","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"per-site-search-delta","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"support-platform-pylon-zendesk","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"instant-rollback","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications-server","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-private-page-search","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-fable","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fixed-ai-action-pricing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automation-resolve-merge-conflict","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"scoped-publishing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"mintql","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"page-level-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-version-history-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-nav-generations","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-page-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workspace-projects","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"assistant-v5","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"byok-sep-25","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fork-pr-previews","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"revalidation-jwt","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"vite-origin","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-agent-model-picker","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-updated-9-15","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-sso-scim","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"hobby-abuse-scan","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"dashboard-inbox","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-signup","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-enabled","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false}],"googleFontsInlined":false},"customCss":[{"filePath":"style.css","content":".text-light{margin-top:2rem;margin-bottom:4%;font-size:2rem;font-weight:600;font-family:Arial,Helvetica,sans-serif;color:#000}.dark\\:text-dark:is(.dark *){color:#fff}"},{"filePath":"styles/custom.css","content":".custom-welcome-page>div{max-width:none!important;padding:0!important}.custom-welcome-page>div>h1:first-child{display:none}.custom-welcome-page #welcome{display:flex;flex-direction:column;justify-content:flex-start;align-items:center;width:100%;max-width:1200px;margin:0 auto;min-height:auto;padding:2rem .5rem}.text-light{margin-top:2rem;margin-bottom:4%;font-size:2rem;font-weight:600;font-family:Arial,Helvetica,sans-serif;color:#000}.dark\\:text-dark:is(.dark *){color:#fff}.card-container{display:grid;grid-template-columns:repeat(auto-fit,minmax(250px,1fr));gap:20px}.prose pre{background:0 0;box-shadow:none}.dark .prose pre{background:#0b1220;border:1px solid rgba(255,255,255,.08)}.beta-badge{display:inline-block;padding:2px 8px;margin:8px 0 12px;font-size:12px;font-weight:600;letter-spacing:.02em;color:#1e3a8a;background:#dbeafe;border:1px solid #93c5fd;border-radius:9999px}.dark .beta-badge{color:#bfdbfe;background:rgba(30,58,138,.35);border-color:#60a5fa}.prose h1{display:inline-block;margin-right:8px}.prose h1+.beta-badge{display:inline-block;vertical-align:middle;position:relative;top:-2px}#custom-agents-page:before{content:\"\"}.prose h1:has(+#custom-agents-page){display:inline-block;margin-right:8px}.prose h1:has(+#custom-agents-page)::after{content:\"Beta\";display:inline-block;padding:2px 8px;margin-left:8px;font-size:12px;font-weight:600;letter-spacing:.02em;color:#1e3a8a;background:#dbeafe;border:1px solid #93c5fd;border-radius:9999px}.dark .prose h1:has(+#custom-agents-page)::after{color:#bfdbfe;background:rgba(30,58,138,.35);border-color:#60a5fa}"}],"page":{"pagePath":"api-reference/custom-agent","slug":"/api-reference/custom-agent","pageMetadata":{"title":"Custom Agent (Beta)","og:title":"Custom Agent API | Build Your Own AI Agents","og:description":"Create and deploy custom AI agents with tailored instructions, models, and capabilities using the You.com Custom Agents API.","openapi":"openapi_agents_custom POST /v1/agents/runs","description":null,"href":"/api-reference/custom-agent"},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){const _components={a:`a`,li:`li`,p:`p`,strong:`strong`,ul:`ul`,..._provideComponents(),...props.components},{Heading,Warning}=_components;if(!Heading)_missingMdxReference(`Heading`,true);if(!Warning)_missingMdxReference(`Warning`,true);return _jsxs(_Fragment,{children:[_jsxs(Warning,{children:[_jsx(_components.strong,{children:`WARNING`}),`: Access to this endpoint requires a paid subscription plan.`]}),`\n`,_jsx(Heading,{level:`2`,id:`description`,children:`Description`}),`\n`,_jsxs(_components.p,{children:[`This endpoint lets you run an assistant you can configure in the UI.\nUsers can create a custom AI agent by providing a description of the desired functionality using natural language. The system supports both conversational inputs and advanced prompting techniques to define the agent’s behavior. Before using it, `,_jsx(_components.a,{href:`/developer-resources/tutorials/custom-agent/create-custom-agents`,children:`create a custom agent and retrieve its ID`}),`.`]}),`\n`,_jsx(Heading,{level:`2`,id:`features`,children:`Features`}),`\n`,_jsx(_components.p,{children:`Custom Agent include the following features:`}),`\n`,_jsxs(_components.ul,{children:[`\n`,_jsxs(_components.li,{children:[_jsx(_components.strong,{children:`Document upload`}),`: Provide the agent with documents to process.`]}),`\n`,_jsxs(_components.li,{children:[_jsx(_components.strong,{children:`Model selection`}),`: Specify a preferred large language model (LLM) or use “auto” to optimize performance for specific tasks.`]}),`\n`,_jsxs(_components.li,{children:[_jsx(_components.strong,{children:`Web access control`}),`: Enable or disable the ability of an agent to access the web.`]}),`\n`,_jsxs(_components.li,{children:[_jsx(_components.strong,{children:`Advanced tools`}),`: Use additional tools for research and reasoning tasks.`]}),`\n`]}),`\n`,_jsx(Heading,{level:`2`,id:`enterprise-settings`,children:`Enterprise Settings`}),`\n`,_jsxs(_components.p,{children:[`To maintain enterprise security, enable Zero Data Retention on your enterprise account. Manage this setting at `,_jsx(_components.a,{href:`https://you.com/settings/privacy`,children:`you.com/settings/privacy`}),`. When enabled, the platform does not retain your data and does not use customer data for model training.`]}),`\n`,_jsxs(Warning,{children:[_jsx(_components.strong,{children:`WARNING`}),`: Privacy settings can only be managed by You.com Enterprise or team admins.`]})]})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent};function _missingMdxReference(id,component){throw new Error(`Expected `+(component?`component`:`object`)+\" `\"+id+\"` to be defined: you likely forgot to import, pass, or provide it.\")}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Custom Agent (Beta)","og:title":"Custom Agent API | Build Your Own AI Agents","og:description":"Create and deploy custom AI agents with tailored instructions, models, and capabilities using the You.com Custom Agents API.","openapi":"openapi_agents_custom POST /v1/agents/runs","description":null,"href":"/api-reference/custom-agent"}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[{"title":"Description","slug":"description","depth":2,"children":[]},{"title":"Features","slug":"features","depth":2,"children":[]},{"title":"Enterprise Settings","slug":"enterprise-settings","depth":2,"children":[]}],"codeExamples":{}},"jsLinks":[],"openApiReferenceData":{"operation":{"summary":"Run a Custom Agent","requestBody":"e830ff52-02dd-4d53-a72c-d756c3eddd27","responses":{"200":"947c3b2a-0601-45e2-9a5d-049f29c5add1","400":"5a7a8284-c6a2-4875-b508-18478f41d680","401":"eccef606-1587-483c-9cbf-8e96461b4ec1","404":"6b4902c0-9429-45d5-9749-65f87293c5b9"},"method":"post","type":"path","servers":["aec302d2-a498-4020-8ebc-5fb447015deb"],"security":["6baee322-c37b-4e15-966d-d9aa98ffe6de"],"path":"/v1/agents/runs","baseUrlOptions":["https://api.you.com"],"title":"Run a Custom Agent","description":"","codeSamples":[],"requiredOnlyExamples":false,"requestExampleType":"generated","responseExampleType":"generated"},"dependencies":{"parameters":{},"requestBody":{"content":{"application/json":{"schema":{"type":"object","required":["agent","input"],"properties":{"agent":{"type":"string","description":"The custom agent that will be used to execute your request.","example":"550e8400-e29b-41d4-a716-446655440000","isRequired":true,"uniqueKey":"agent","typeLabel":"string"},"input":{"oneOf":[{"type":"string","description":"The input for the agent. This can be a query or a prompt.","example":"Summarize today's top AI research headlines and cite sources.","isRequired":true,"uniqueKey":"input.oneOf.0","typeLabel":"string"},{"type":"array","items":{"type":"object","properties":{"content":{"type":"string","description":"Message text content.","example":"What are the latest trends in renewable energy?","isRequired":true,"uniqueKey":"input.oneOf.1.items.[INDEX].content","typeLabel":"string"}},"required":["content"],"uniqueKey":"input.oneOf.1.items.[INDEX]","typeLabel":"object"},"description":"Array of message objects; server converts to internal Message type.","isRequired":true,"uniqueKey":"input.oneOf.1","typeLabel":"object[]"}],"isRequired":true,"uniqueKey":"input","typeLabel":"string | object[]"},"stream":{"type":"boolean","default":false,"description":"When `true`, responses stream over SSE (text/event-stream). When `false`, returns JSON (application/json).","uniqueKey":"stream","typeLabel":"boolean"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"agent":"550e8400-e29b-41d4-a716-446655440000","input":"Summarize today's top AI research headlines and cite sources.","stream":false}}},"exampleType":"generated"}},"exampleType":"generated"},"responses":{"947c3b2a-0601-45e2-9a5d-049f29c5add1":{"description":"Inference response in application/json or text/event-stream format.","content":{"application/json":{"schema":{"type":"object","properties":{"output":{"type":"array","items":{"type":"object","properties":{"type":{"type":"string","description":"The type of the output.","example":"web_search.results, chat_node.answer","uniqueKey":"output.items.[INDEX].type","typeLabel":"string"},"text":{"type":"string","description":"The text of the output.","example":"Here are today's top AI research headlines...","uniqueKey":"output.items.[INDEX].text","typeLabel":"string"},"content":{"type":"object","description":"Returns the exact search query.","example":"Summarize today's top AI research headlines and cite sources.","uniqueKey":"output.items.[INDEX].content","typeLabel":"object"},"agent":{"type":"string","description":"The agent ID used to generate the response.","example":"550e8400-e29b-41d4-a716-446655440000","uniqueKey":"output.items.[INDEX].agent","typeLabel":"string"}},"uniqueKey":"output.items.[INDEX]","typeLabel":"object"},"uniqueKey":"output","typeLabel":"object[]"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"output":[{"type":"web_search.results, chat_node.answer","text":"Here are today's top AI research headlines...","content":"Summarize today's top AI research headlines and cite sources.","agent":"550e8400-e29b-41d4-a716-446655440000"}]}}},"exampleType":"generated"},"text/event-stream":{"schema":{"type":"object","properties":{"id":{"type":"integer","description":"Sequence number of the SSE event, starts from 0.","example":0,"uniqueKey":"id","typeLabel":"integer"},"event":{"type":"string","description":"The type of the SSE event.","example":"response.output_item.added","uniqueKey":"event","typeLabel":"string"},"data":{"type":"object","properties":{"seq_id":{"type":"integer","description":"Sequence number of the SSE event, starts from 0.","example":0,"uniqueKey":"data.seq_id","typeLabel":"integer"},"type":{"type":"string","description":"The type of the SSE event.","example":"response.output_item.added","uniqueKey":"data.type","typeLabel":"string"},"response":{"type":"object","properties":{"type":{"type":"string","description":"The type of the response.","example":"web_search.results, chat_node.answer","uniqueKey":"data.response.type","typeLabel":"string"},"output_index":{"type":"integer","description":"The index of the output in the response.","example":0,"uniqueKey":"data.response.output_index","typeLabel":"integer"},"delta":{"type":"string","description":"The delta of the response.","example":"ital of France","uniqueKey":"data.response.delta","typeLabel":"string"},"full":{"type":"object","description":"The full response object of the output item.","uniqueKey":"data.response.full","typeLabel":"object"}},"uniqueKey":"data.response","typeLabel":"object"}},"uniqueKey":"data","typeLabel":"object"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"id":0,"event":"response.output_item.added","data":{"seq_id":0,"type":"response.output_item.added","response":{"type":"web_search.results, chat_node.answer","output_index":0,"delta":"ital of France","full":{}}}}}},"exampleType":"generated"}},"exampleType":"generated"},"5a7a8284-c6a2-4875-b508-18478f41d680":{"description":"Invalid request payload","content":{"application/json":{"schema":{"type":"object","properties":{"errors":{"type":"array","items":{"type":"object","properties":{"status":{"type":"string","example":"404","uniqueKey":"errors.items.[INDEX].status","typeLabel":"string"},"code":{"type":"string","description":"Machine readable error code","example":"agent_not_found","uniqueKey":"errors.items.[INDEX].code","typeLabel":"string"},"title":{"type":"string","example":"Agent not found","uniqueKey":"errors.items.[INDEX].title","typeLabel":"string"},"detail":{"type":"string","example":"The agent with id '550e8400-e29b-41d4-a716-446655440000' not found.","uniqueKey":"errors.items.[INDEX].detail","typeLabel":"string"}},"uniqueKey":"errors.items.[INDEX]","typeLabel":"object"},"uniqueKey":"errors","typeLabel":"object[]"}},"uniqueKey":"","typeLabel":"object"},"examples":{"bad_request":{"title":"bad_request","value":{"errors":[{"status":"400","code":"bad_request","title":"Invalid request body","detail":"The field 'tools' must be an array of objects."}]}}},"exampleType":"examples"}},"exampleType":"examples"},"eccef606-1587-483c-9cbf-8e96461b4ec1":{"description":"Missing or invalid Authorization header","content":{"application/json":{"schema":{"type":"object","properties":{"errors":{"type":"array","items":{"type":"object","properties":{"status":{"type":"string","example":"404","uniqueKey":"errors.items.[INDEX].status","typeLabel":"string"},"code":{"type":"string","description":"Machine readable error code","example":"agent_not_found","uniqueKey":"errors.items.[INDEX].code","typeLabel":"string"},"title":{"type":"string","example":"Agent not found","uniqueKey":"errors.items.[INDEX].title","typeLabel":"string"},"detail":{"type":"string","example":"The agent with id '550e8400-e29b-41d4-a716-446655440000' not found.","uniqueKey":"errors.items.[INDEX].detail","typeLabel":"string"}},"uniqueKey":"errors.items.[INDEX]","typeLabel":"object"},"uniqueKey":"errors","typeLabel":"object[]"}},"uniqueKey":"","typeLabel":"object"},"examples":{"unauthorized":{"title":"unauthorized","value":{"errors":[{"status":"401","code":"unauthorized","title":"Unauthorized","detail":"Missing or invalid Authorization header. Use 'Authorization: Bearer \u003cAPI_KEY>'."}]}}},"exampleType":"examples"}},"exampleType":"examples"},"6b4902c0-9429-45d5-9749-65f87293c5b9":{"description":"Resource not found or unsupported","content":{"application/json":{"schema":{"type":"object","properties":{"errors":{"type":"array","items":{"type":"object","properties":{"status":{"type":"string","example":"404","uniqueKey":"errors.items.[INDEX].status","typeLabel":"string"},"code":{"type":"string","description":"Machine readable error code","example":"agent_not_found","uniqueKey":"errors.items.[INDEX].code","typeLabel":"string"},"title":{"type":"string","example":"Agent not found","uniqueKey":"errors.items.[INDEX].title","typeLabel":"string"},"detail":{"type":"string","example":"The agent with id '550e8400-e29b-41d4-a716-446655440000' not found.","uniqueKey":"errors.items.[INDEX].detail","typeLabel":"string"}},"uniqueKey":"errors.items.[INDEX]","typeLabel":"object"},"uniqueKey":"errors","typeLabel":"object[]"}},"uniqueKey":"","typeLabel":"object"},"examples":{"agent_not_found":{"title":"agent_not_found","value":{"errors":[{"status":"404","code":"agent_not_found","title":"Agent not found","detail":"The agent with id '550e8400-e29b-41d4-a716-446655440000' not found."}]}},"agent_not_supported_yet":{"title":"agent_not_supported_yet","value":{"errors":[{"status":"404","code":"agent_not_supported_yet","title":"Agent not supported yet","detail":"The agent with id '550e8400-e29b-41d4-a716-446655440000' uses an unsupported model or feature."}]}}},"exampleType":"examples"}},"exampleType":"examples"}},"security":{"6baee322-c37b-4e15-966d-d9aa98ffe6de":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"The unique API Key required to authorize API access. Learn how to get yours in the [“Get your API key” section of the documentation](/get-started/quickstart#get-your-api-key).","scopes":[]}}},"servers":{"aec302d2-a498-4020-8ebc-5fb447015deb":{"url":"https://api.you.com"}},"processedSecurityOptions":[{"schemes":[{"scheme":{"type":"apiKey","in":"header","name":"Authorization","description":"The unique API Key required to authorize API access. Learn how to get yours in the [“Get your API key” section of the documentation](/get-started/quickstart#get-your-api-key).","scopes":[]},"schema":{"title":"Authorization","type":"string","description":"The unique API Key required to authorize API access. Learn how to get yours in the [“Get your API key” section of the documentation](/get-started/quickstart#get-your-api-key).","isRequired":true,"typeLabel":"string","deprecated":false},"schemeName":"ApiKeyAuth","name":"Authorization"}],"title":"ApiKeyAuth"}]},"originalFileLocation":"openapi_agents_custom.yaml"},"subdomain":"you","siteName":"You.com API","title":"Custom Agent API | Build Your Own AI Agents","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"originalFileLocation":"api-reference/custom-agent.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"application-name\" content=\"You.com API\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/you/faYhI-oxxSDbXhz9/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/you/faYhI-oxxSDbXhz9/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/you/faYhI-oxxSDbXhz9/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/you/faYhI-oxxSDbXhz9/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/you/faYhI-oxxSDbXhz9/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/you/faYhI-oxxSDbXhz9/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/you/faYhI-oxxSDbXhz9/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/you/faYhI-oxxSDbXhz9/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/you/faYhI-oxxSDbXhz9/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Custom Agent API | Build Your Own AI Agents\">\u003cmeta data-mint-head property=\"og:description\" content=\"Create and deploy custom AI agents with tailored instructions, models, and capabilities using the You.com Custom Agents API.\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"You.com API\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://old-docs.you.com/api-reference/custom-agent\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://you.mintlify.app/_mintlify/api/og/v2?division=Agent\u0026amp;title=Custom+Agent+%28Beta%29\u0026amp;theme=f554274653090c6133fad80f\u0026amp;signature=39a8188599528ca542cd636305456351bb3455d16820147825461774d7270a65\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Custom Agent API | Build Your Own AI Agents\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Create and deploy custom AI agents with tailored instructions, models, and capabilities using the You.com Custom Agents API.\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://you.mintlify.app/_mintlify/api/og/v2?division=Agent\u0026amp;title=Custom+Agent+%28Beta%29\u0026amp;theme=f554274653090c6133fad80f\u0026amp;signature=39a8188599528ca542cd636305456351bb3455d16820147825461774d7270a65\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/you/faYhI-oxxSDbXhz9/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"You.com API\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#596CED\">\u003clink data-mint-head rel=\"canonical\" href=\"https://old-docs.you.com/api-reference/custom-agent\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/api-reference/custom-agent.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://old-docs.you.com/#organization\",\"name\":\"You.com API\",\"url\":\"https://old-docs.you.com\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/you/gx9H8EPolrUtPSge/logo/light.svg?fit=max\u0026auto=format\u0026n=gx9H8EPolrUtPSge\u0026q=85\u0026s=e137388d4ab9a92522ac345398106fd6\"}},{\"@type\":\"WebSite\",\"@id\":\"https://old-docs.you.com#website\",\"name\":\"You.com API\",\"url\":\"https://old-docs.you.com\",\"publisher\":{\"@id\":\"https://old-docs.you.com/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://old-docs.you.com/api-reference/custom-agent#webpage\",\"url\":\"https://old-docs.you.com/api-reference/custom-agent\",\"name\":\"Custom Agent (Beta)\",\"isPartOf\":{\"@id\":\"https://old-docs.you.com#website\"},\"breadcrumb\":{\"@id\":\"https://old-docs.you.com/api-reference/custom-agent#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://old-docs.you.com/api-reference/custom-agent#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"API Reference\",\"item\":\"https://old-docs.you.com/api-reference/search\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Agent\",\"item\":\"https://old-docs.you.com/api-reference/advanced-agent\"},{\"@type\":\"ListItem\",\"position\":3,\"name\":\"Custom Agent (Beta)\",\"item\":\"https://old-docs.you.com/api-reference/custom-agent\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://old-docs.you.com/api-reference/custom-agent#apireference\",\"headline\":\"Custom Agent (Beta)\",\"name\":\"Custom Agent (Beta)\",\"url\":\"https://old-docs.you.com/api-reference/custom-agent\",\"mainEntityOfPage\":{\"@id\":\"https://old-docs.you.com/api-reference/custom-agent#webpage\"},\"publisher\":{\"@id\":\"https://old-docs.you.com/#organization\"},\"isPartOf\":{\"@id\":\"https://old-docs.you.com#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"You.com API\",\"creator\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","siteName":"You.com API","nav":{"global":null,"tabs":[{"tab":"Get Started","pages":[{"title":"Get Started","href":"/get-started/welcome"}]},{"tab":"API Reference","groups":[{"group":"API Reference","pages":[{"title":"Search","openapi":"get /v1/search","href":"/api-reference/search"},{"group":"Agent","expanded":true,"pages":[{"title":"Advanced Agent (Beta)","openapi":"openapi_agents_advanced POST /v1/agents/runs","description":null,"href":"/api-reference/advanced-agent"},{"title":"Custom Agent (Beta)","openapi":"openapi_agents_custom POST /v1/agents/runs","href":"/api-reference/custom-agent"},{"title":"Express Agent (Beta)","openapi":"openapi_agents POST /v1/agents/runs","description":null,"href":"/api-reference/express-agent"}]},{"title":"Contents","openapi":"post /v1/contents","href":"/api-reference/contents"},{"title":"Images","openapi":"openapi_images get /images","href":"/api-reference/images"},{"title":"Live News","openapi":"openapi_livenews GET /livenews","href":"/api-reference/news"},{"title":"Search (Legacy)","openapi":"get /search","href":"/api-reference/search-legacy"},{"title":"Smart API (Legacy)","openapi":"openapi_chat POST /smart","href":"/api-reference/smart"},{"title":"Research API (Legacy)","openapi":"openapi_chat POST /research","href":"/api-reference/research"}]}]},{"tab":"Tools","pages":[{"title":"Tools","href":"/tools/mcp-server"}]},{"tab":"Developer Resources","pages":[{"title":"Developer Resources","href":"/developer-resources/tutorials/search/guides"}]}]},"title":"Custom Agent API | Build Your Own AI Agents","buildId":"dpl_2xiSHD9XEvLsPGPcfoMtkLTB3dy9","deploymentId":"dpl_2xiSHD9XEvLsPGPcfoMtkLTB3dy9","dynamics":["c2aa737661","2b790eda92","b0f84f53ff","a9bb46feb3"],"chunks":["OpenApiReferenceProvider-DmVyH30O.js","utils-BHQqGGOd.js","cloneDeep-izs3Hzxb.js","_Uint8Array-BVIqJ90l.js","isObjectLike-C8vmzPEN.js","isArray-Dcu1dQ5t.js","utils-CD-E4BIt.js","toString-BX-iyh8G.js","isSymbol-CSH9U2Gm.js","addUniqueKeysToSchema-Bp5Lq9Ds.js","snippetPresets-C4xAVCFP.js","style-to-object-BY3JEAdk.js","v4-DIgz8zy6.js","ApiExamples-CgXVLxUC.js","isEqual-BfaiBbcl.js","usePlaygroundInputsStore-BF8I5oUf.js","shallow-Byd0lWnC.js","getApiPlaygroundDisplay-BGOZG1OK.js","CodeSnippet-CpvQL0CY.js","CodeSnippets-B8wkBKXa.js","Page-CBCH2P7b.js","getPastedJson-Ry3scI3Y.js","icon-D7a9HcdD.js","MethodPill-CJ8pmHhz.js","DuplicateIcon-rh1HJF0t.js","createIcon-DvGznqYs.js","DynamicMarkdown-Cc6AuSHS.js","SectionHeading-B4A0S-ep.js","axios-vUo_bRtp.js","Markdown-Cc16CX65.js","clsx-Cs6nMGht.js","lib-DuNMoZ05.js","lib-B8HbPgcC.js","html-void-elements-mCSPHezU.js","dist-zbf22OZA.js","katex-YMM-FMeD.js","marked.esm-CZWythHk.js","AssistantPageLink-C_fs-y5n.js"]}